## videoframe-audiolevel videoframe-audiolevel |

## Types and Values

struct | GstVideoFrameAudioLevel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoFrameAudioLevel

## Description

This element acts like a synchronized audio/video "level". It gathers all audio buffers sent between two video frames, and then sends a message that contains the RMS value of all samples for these buffers.

#### Example launch line

    1
    gst-launch-1.0 -m filesrc location="file.mkv" ! decodebin name=d ! "audio/x-raw" ! videoframe-audiolevel name=l ! autoaudiosink d. ! "video/x-raw" ! l. l. ! queue ! autovideosink ]|

## Synopsis

### Element Information

plugin | videoframe_audiolevel
author | Vivia Nikolaidou <vivia@toolsonair.com>
class | Filter/Analyzer/Audio

### Element Pads

name | asink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, S16LE, S32LE, F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | vsink
direction | sink
presence | always
details | video/x-raw

name | asrc
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, S16LE, S32LE, F32LE, F64LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | vsrc
direction | source
presence | always
details | video/x-raw

## Functions

## Types and Values

### struct GstVideoFrameAudioLevel

    struct GstVideoFrameAudioLevel;